package com.unitesk.requality.api.models;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.unitesk.requality.core.attribute.AttributeType;

@JsonDeserialize(using = JsonAttrDeserialize.class)
public class JsonAttrValue extends JsonInputBase{
  private AttributeType type;
  public AttributeType getType(){
    return type;
  }
  public void setType(AttributeType at){
    this.type = at;
  }
  private Object value;
  public Object getValue(){
    return value;
  }
  public void setValue(Object at){
    this.value = at;
  }
  @Override
  public String toString() {
    return "JSONAttribute T:"+type+" V:"+value;
  }
}
