package com.unitesk.requality.api.services.nodes.output;

import com.unitesk.requality.core.attribute.Attribute;
import com.unitesk.requality.core.attribute.AttributeStorage;
import com.unitesk.requality.core.attribute.AttributeType;

public class AppliedEnumResponse extends EnumValueResponse {
  private String bkey;
  private AttributeType vtype;
  public AppliedEnumResponse(
      AttributeStorage storage, AttributeType at, AttributeType valuetype, Object value, String comment, String baseKey) {
    super(storage,at,value,comment);
    bkey = baseKey;
    vtype = valuetype;
  }
  public String getEnumName(){
    return bkey;
  }
  public AttributeType getValueType(){
    return vtype;
  }

  @Override
  public String getValue() {
    return Attribute.valueToString(storage, vtype, val);
  }
}
