package com.unitesk.requality.api.services.nodes.output;

import java.util.LinkedList;
import java.util.List;
import com.unitesk.requality.core.attribute.AttributeStorage;
import com.unitesk.requality.core.attribute.AttributeType;
import com.unitesk.requality.core.attribute.ListValue;

public class AttributeListResponse extends AttributeResponse {
  private AttributeType lv;
  public AttributeListResponse(AttributeStorage storage, AttributeType at,AttributeType lv, Object attrval) {
    super(storage,at,attrval);
    this.lv = lv;
  }
  public AttributeType getValuesType(){
    return lv;
  }
  public List<AttributeResponse> getValue(){
    List<AttributeResponse> ars = new LinkedList<>();
    ListValue lv = (ListValue) val;
    for(Object o:lv.getValues())
      ars.add(AttributeResponse.getOne(storage, lv.getType(),o,true));
    return ars;
  }
}
