package com.unitesk.requality.api.services.project.input;

import com.unitesk.requality.api.models.JsonInputBase;

public class QIDRequest extends JsonInputBase {
  private String qid;

  public String getQid() {
    return qid;
  }

  public void setQid(String qid) {
    this.qid = qid;
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((qid == null) ? 0 : qid.hashCode());
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    QIDRequest other = (QIDRequest) obj;
    if (qid == null) {
      if (other.qid != null) return false;
    } else if (!qid.equals(other.qid)) return false;
    return true;
  }

  @Override
  public String toString() {
    return "QIDInput [qid=" + qid + "]";
  }
}
