package com.unitesk.requality.api;

import java.io.File;
import java.io.IOException;
import java.util.Iterator;
import java.util.Spliterator;
import java.util.Spliterators;
import java.util.stream.Stream;
import java.util.stream.StreamSupport;

public class Utils {
  public static <T> Stream<T> stream(Iterator<T> iterator) {
    return StreamSupport.stream(
        Spliterators.spliteratorUnknownSize(iterator, Spliterator.ORDERED), false);
  }

  public static void deleteDirectory(File f) throws IOException {
    if (f.isDirectory()) {
      for (File ff : f.listFiles()) deleteDirectory(ff);
    }

    if (!f.delete()) throw new IOException("Failed to delete " + f.getName());
  }

  public static int iteratorSize(Iterator<?> iter) {
    int ret = 0;

    while (iter.hasNext()) {
      ret++;
      iter.next();
    }

    return ret;
  }
}
