package com.unitesk.requality.api.models;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import com.unitesk.requality.core.attribute.AttributeType;

public  class GJsonListValue <T extends JsonAttrValue>extends JsonAttrValue{
  private AttributeType listType;
  List<T> vals;
  @Override 
  public Object getValue() {
    return vals;
  }
  public List<T> getValues() {
    return vals;
  }
  public void setValues(List<T> at) {
    setValue(at);
  }
  @Override
  public void setValue(Object at) {
    vals = (List<T>) at;
  }
  public void setListType(AttributeType lt){
    listType = lt;
  }
  public AttributeType getListType(){
    return listType;
  }
  @Override
  public String toString() {
    return "JSONListValue T:"+getType()+" V:"+getValue()+" LT:"+listType+" VL:"+Arrays.toString(vals.toArray(new Object[0]));
  }
}
