package com.unitesk.requality.api.services.nodes.output;

import java.util.List;

import com.unitesk.requality.api.models.JsonOutputBase;

public class AttributeList extends JsonOutputBase {
  private List<String> attributes;

  public AttributeList(List<String> attributes) {
    super();
    this.attributes = attributes;
  }

  public List<String> getAttributes() {
    return attributes;
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((attributes == null) ? 0 : attributes.hashCode());
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    AttributeList other = (AttributeList) obj;
    if (attributes == null) {
      if (other.attributes != null) return false;
    } else if (!attributes.equals(other.attributes)) return false;
    return true;
  }

  @Override
  public String toString() {
    return "AttributeList [attributes=" + attributes + "]";
  }
}
