package com.unitesk.requality.api.services.nodes.output;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.unitesk.requality.core.attribute.AttributeStorage;
import com.unitesk.requality.core.attribute.AttributeType;

public class EnumValueResponse extends AttributeSingleResponse {
  private String comment;
  public EnumValueResponse(AttributeStorage storage, AttributeType at, Object value, String comment) {
    super(storage,at,value);
    this.comment = comment;
  }

  @JsonInclude(JsonInclude.Include.NON_NULL)
  public String getComment(){
    return comment;
  }
}
