package com.unitesk.requality.api.services.project.output;

import com.unitesk.requality.api.models.IDMapping;
import com.unitesk.requality.api.models.JsonOutputBase;

public class QIDResponse extends JsonOutputBase {
  private IDMapping id;
  private String type;

  public QIDResponse(IDMapping id, String type) {
    super();
    this.id = id;
    this.type = type;
  }

  public IDMapping getId() {
    return id;
  }

  public String getType() {
    return type;
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((id == null) ? 0 : id.hashCode());
    result = prime * result + ((type == null) ? 0 : type.hashCode());
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    QIDResponse other = (QIDResponse) obj;
    if (id == null) {
      if (other.id != null) return false;
    } else if (!id.equals(other.id)) return false;
    if (type == null) {
      if (other.type != null) return false;
    } else if (!type.equals(other.type)) return false;
    return true;
  }

  @Override
  public String toString() {
    return "QIDResponse [id=" + id + ", type=" + type + "]";
  }
}
