package com.unitesk.requality.api.services.requirement.input;

import java.util.UUID;
import com.unitesk.requality.api.models.JsonInputAttributes;

public class CreateRequirement extends JsonInputAttributes {
  private UUID parent;
  private String id;
  private String type;
//  private JsonInputAttributes attributes;
//  
//  public JsonInputAttributes getAttributes() {
//    return attributes;
//  }

  public String getType() {
    return type;
  }

  public UUID getParent() {
    return parent;
  }

  public String getId() {
    return id;
  }
//
//  public void setAttributes(JsonInputAttributes attributes) {
//    this.attributes = attributes;
//  }

  public void setType(String tp) {
    this.type = tp;
  }
  
  public void setParent(UUID parent) {
    this.parent = parent;
  }

  public void setId(String id) {
    this.id = id;
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((id == null) ? 0 : id.hashCode());
    result = prime * result + ((parent == null) ? 0 : parent.hashCode());
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    CreateRequirement other = (CreateRequirement) obj;
    if (id == null) {
      if (other.id != null) return false;
    } else if (!id.equals(other.id)) return false;
    if (parent == null) {
      if (other.parent != null) return false;
    } else if (!parent.equals(other.parent)) return false;
    return true;
  }

  @Override
  public String toString() {
    return "CreateRequirement [parent=" + parent + ", id=" + id + "]";
  }
}
